msgpack::type::detail::convert_integer_sign< T, true > Struct Template Reference

`#include <int.hpp>`

## Static Public Member Functions

static T | convert (msgpack::object const &o)

## Member Function Documentation

## convert()

template<typename T >

static T msgpack::type::detail::convert_integer_sign< T, true >::convert | ( | msgpack::object const & | o | ) |

inline static

References msgpack::object::union_type::i64, msgpack::type::NEGATIVE_INTEGER, msgpack::type::POSITIVE_INTEGER, msgpack::object::type, msgpack::object::union_type::u64, and msgpack::object::via.

The documentation for this struct was generated from the following file:

- /build/msgpack-c-9A5dfz/msgpack-c-2.1.5/include/msgpack/v1/adaptor/int.hpp